Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._2_0.protocol
Class StatusResponseType

    java.lang.Object
      oasis.names.tc.saml._2_0.protocol.StatusResponseType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ArtifactResponse, NameIDMappingResponse, Response

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:11+01:00",
               comments="JAXB RI v2.2.11")
    public class StatusResponseType

extends Object
implements Serializable

Java class for StatusResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StatusResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Issuer" minOccurs="0"/>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}Extensions" minOccurs="0"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}Status"/>
           </sequence>
           <attribute name="ID" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
           <attribute name="InResponseTo" type="{http://www.w3.org/2001/XMLSchema}NCName" />
           <attribute name="Version" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="IssueInstant" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           <attribute name="Destination" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="Consent" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`StatusResponseType()`

Method Summary
`String` | `getConsent()` Gets the value of the consent property.
`String` | `getDestination()` Gets the value of the destination property.
`ExtensionsType` | `getExtensions()` Gets the value of the extensions property.
`String` | `getID()` Gets the value of the id property.
`String` | `getInResponseTo()` Gets the value of the inResponseTo property.
`org.joda.time.DateTime` | `getIssueInstant()` Gets the value of the issueInstant property.
`NameIDType` | `getIssuer()` Gets the value of the issuer property.
`Signature` | `getSignature()` Gets the value of the signature property.
`Status` | `getStatus()` Gets the value of the status property.
`String` | `getVersion()` Gets the value of the version property.
`void` | `setConsent(String value)` Sets the value of the consent property.
`void` | `setDestination(String value)` Sets the value of the destination property.
`void` | `setExtensions(ExtensionsType value)` Sets the value of the extensions property.
`void` | `setID(String value)` Sets the value of the id property.
`void` | `setInResponseTo(String value)` Sets the value of the inResponseTo property.
`void` | `setIssueInstant(org.joda.time.DateTime value)` Sets the value of the issueInstant property.
`void` | `setIssuer(NameIDType value)` Sets the value of the issuer property.
`void` | `setSignature(Signature value)` Sets the value of the signature property.
`void` | `setStatus(Status value)` Sets the value of the status property.
`void` | `setVersion(String value)` Sets the value of the version property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusResponseType

    public StatusResponseType()

Method Detail

### getIssuer

    public NameIDType getIssuer()

  Gets the value of the issuer property.

  Returns:
    possible object is `NameIDType`

### setIssuer

    public void setIssuer(NameIDType value)

  Sets the value of the issuer property.

  Parameters:
    `value` - allowed object is `NameIDType`

### getSignature

    public Signature getSignature()

  Gets the value of the signature property.

  Returns:
    possible object is `Signature`

### setSignature

    public void setSignature(Signature value)

  Sets the value of the signature property.

  Parameters:
    `value` - allowed object is `Signature`

### getExtensions

    public ExtensionsType getExtensions()

  Gets the value of the extensions property.

  Returns:
    possible object is `ExtensionsType`

### setExtensions

    public void setExtensions(ExtensionsType value)

  Sets the value of the extensions property.

  Parameters:
    `value` - allowed object is `ExtensionsType`

### getStatus

    public Status getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `Status`

### setStatus

    public void setStatus(Status value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `Status`

### getID

    public String getID()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setID

    public void setID(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

### getInResponseTo

    public String getInResponseTo()

  Gets the value of the inResponseTo property.

  Returns:
    possible object is `String`

### setInResponseTo

    public void setInResponseTo(String value)

  Sets the value of the inResponseTo property.

  Parameters:
    `value` - allowed object is `String`

### getVersion

    public String getVersion()

  Gets the value of the version property.

  Returns:
    possible object is `String`

### setVersion

    public void setVersion(String value)

  Sets the value of the version property.

  Parameters:
    `value` - allowed object is `String`

### getIssueInstant

    public org.joda.time.DateTime getIssueInstant()

  Gets the value of the issueInstant property.

  Returns:
    possible object is `String`

### setIssueInstant

    public void setIssueInstant(org.joda.time.DateTime value)

  Sets the value of the issueInstant property.

  Parameters:
    `value` - allowed object is `String`

### getDestination

    public String getDestination()

  Gets the value of the destination property.

  Returns:
    possible object is `String`

### setDestination

    public void setDestination(String value)

  Sets the value of the destination property.

  Parameters:
    `value` - allowed object is `String`

### getConsent

    public String getConsent()

  Gets the value of the consent property.

  Returns:
    possible object is `String`

### setConsent

    public void setConsent(String value)

  Sets the value of the consent property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.